// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

package hello;

public class Hello_impl extends HelloPOA
{
    private org.omg.PortableServer.POA poa_;

    public
    Hello_impl(org.omg.PortableServer.POA poa)
    {
        poa_ = poa;
    }

    public org.omg.PortableServer.POA 
    _default_POA()
    {
        return poa_;
    }

    // ------------------------------------------------------------------
    // Standard IDL to Java Mapping
    // ------------------------------------------------------------------

    public void
    say_hello(HelloCallback cb)
    {
        System.out.println("Hello World!");
        try
        {
            cb.hello_callback();
        }
        catch(org.omg.CORBA.SystemException ex)
        {
            System.err.println("Hello_impl: Callback failed!");
            System.err.println();
            ex.printStackTrace();
        }
    }

    public void
    deactivate()
    {
        _orb().shutdown(false);
    }
}
