# **********************************************************************
#
# Copyright (c) 2002
# IONA Technologies, Inc.
# Waltham, MA, USA
#
# All Rights Reserved
#
# **********************************************************************

top_srcdir	= ..

NAME		= OBIMR.jar

!include $(top_srcdir)\..\config\Make.rules.mak

ALL_LIBS	= $(OB_LIB);$(OB_UTIL_LIB)

IDLDIR		= $(top_srcdir)\idl

all:: ooc images

ooc: $(top_srcdir)\lib
	set CLASSPATH=.;$(top_srcdir)\lib;$(ALL_LIBS);$(CLASSPATH)
	$(JAVAC) $(JAVACFLAGS) -d $(top_srcdir)\lib \
	com\ooc\IMRConsole\*.java

images: $(top_srcdir)\lib\com\ooc\IMRConsole\images
	copy com\ooc\IMRConsole\images\*.gif \
	$(top_srcdir)\lib\com\ooc\IMRConsole\images

$(top_srcdir)\lib\com\ooc\IMRConsole\images: $(top_srcdir)\lib
	mkdir $@

jar:
	cd $(top_srcdir)\lib
	if exist $(NAME) del $(NAME)
	$(JAR) $(JARFLAGS) $(NAME) com 

install:: jar
	copy $(top_srcdir)\lib\$(NAME) $(libdir)

clean::
	-rmdir /s /q $(top_srcdir)\lib
