// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA  
//              
// All Rights Reserved   
//   
// **********************************************************************

package com.ooc.IMRConsole;

import java.util.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.*;

final class StatusBar extends JPanel
{
    private JLabel bar_;

    StatusBar()
    {
	setLayout(new BorderLayout());
	setBorder(BorderFactory.createLoweredBevelBorder());

	bar_ = new JLabel();
	add(bar_, BorderLayout.CENTER);
    }

    void 
    setText(String s)
    {
	bar_.setText(s);
    }

    void
    clear()
    {
	bar_.setText(" ");
    }
}
