// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

package hello;

public class Hello_impl extends HelloPOA
{
    //
    // The ORB
    //
    private org.omg.CORBA.ORB orb_;

    //
    // The servants default POA
    //
    private org.omg.PortableServer.POA poa_;

    //
    // The server window
    //
    private ServerWindow wnd_;

    Hello_impl(org.omg.CORBA.ORB orb, org.omg.PortableServer.POA poa)
    {
	orb_ = orb;
	poa_ = poa;
	wnd_ = new ServerWindow(orb_, this);
    }

    public void
    say_hello()
    {
	wnd_.print("Hello World!");
    }

    public void
    shutdown()
    {
	orb_.shutdown(false);
    }

    public org.omg.PortableServer.POA
    _default_POA()
    {
        return poa_;
    }
}
