// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

package com.ooc.OB;

final public class CodeConverters
{
    public CodeConverterBase inputCharConverter;
    public CodeConverterBase outputCharConverter;
    public CodeConverterBase inputWcharConverter;
    public CodeConverterBase outputWcharConverter;

    public
    CodeConverters()
    {
    }

    public
    CodeConverters(CodeConverters c)
    {
	if(c != null)
	{
	    inputCharConverter = c.inputCharConverter;
	    outputCharConverter = c.outputCharConverter;
	    inputWcharConverter = c.inputWcharConverter;
	    outputWcharConverter = c.outputWcharConverter;
	}
    }

    public boolean
    equals(java.lang.Object obj)
    {
        CodeConverters c = (CodeConverters)obj;
        if(c == null)
            return false;
        return ((inputCharConverter == c.inputCharConverter ||
                 (inputCharConverter != null &&
                  inputCharConverter.equals(c.inputCharConverter))) &&
                (outputCharConverter == c.outputCharConverter ||
                 (outputCharConverter != null &&
                  outputCharConverter.equals(c.outputCharConverter))) &&
		(inputWcharConverter == c.inputWcharConverter ||
                 (inputWcharConverter != null &&
                  inputWcharConverter.equals(c.inputWcharConverter))) &&
                (outputWcharConverter == c.outputWcharConverter ||
                 (outputWcharConverter != null &&
                  outputWcharConverter.equals(c.outputWcharConverter))));
    }
}
