# **********************************************************************
#
# Copyright (c) 2002
# IONA Technologies, Inc.
# Waltham, MA, USA
#
# All Rights Reserved
#
# **********************************************************************

top_srcdir	= ..\..

!include $(top_srcdir)\..\config\Make.rules.mak

all:: auto tests

auto:: $(top_srcdir)\lib generated
	$(JIDL) $(JIDLFLAGS) -I. -I$(top_srcdir)\idl\OB --package test.types \
	--output-dir generated Types.idl Constants.idl
	$(JIDL) $(JIDLFLAGS) -I. -I$(top_srcdir)\idl\OB \
	 --output-dir generated DynAnyTypes.idl
        set CLASSPATH=.;generated;$(top_srcdir)\lib;$(CLASSPATH)
	$(JAVAC) $(JAVACFLAGS) -d $(top_srcdir)\lib \
	generated\test\types\*.java \
	generated\test\types\DynAnyTypes\*.java

tests:: $(top_srcdir)\lib
	set CLASSPATH=.;generated;$(top_srcdir)\lib;$(CLASSPATH)
	$(JAVAC) $(JAVACFLAGS) -d $(top_srcdir)\lib \
	*.java

clean::
	-rmdir /s /q $(top_srcdir)\lib\test\types
