# **********************************************************************
#
# Copyright (c) 2002
# IONA Technologies, Inc.
# Waltham, MA, USA
#
# All Rights Reserved
#
# **********************************************************************

top_srcdir	= ..

NAME		= OBUDP.jar

!include $(top_srcdir)\..\config\Make.rules.mak

IDLDIR		= $(top_srcdir)\idl
OB_IDLDIR	= $(top_srcdir)\..\ob\idl

all:: udpiop oci

udpiop: $(top_srcdir)\lib generated
	$(JIDL) -I$(IDLDIR) -I$(OB_IDLDIR) --output-dir generated \
	--auto-package --no-skeletons $(IDLDIR)\OB\UDPIOP.idl
	set CLASSPATH=.;generated;$(top_srcdir)\lib;$(OB_LIB);$(CLASSPATH)
	$(JAVAC) $(JAVACFLAGS) -d $(top_srcdir)\lib \
	generated\com\ooc\UDPIOP\*.java

oci: $(top_srcdir)\lib generated
	$(JIDL) -I$(IDLDIR) -I$(OB_IDLDIR) --output-dir generated \
	--auto-package $(IDLDIR)\OB\OCI_UDP.idl
	set CLASSPATH=.;generated;$(top_srcdir)\lib;$(OB_LIB);$(CLASSPATH)
	$(JAVAC) $(JAVACFLAGS) -d $(top_srcdir)\lib \
	generated\com\ooc\OCI\UDP\*.java \
	com\ooc\OCI\UDP\*.java \
	com\ooc\OCI\*.java

jar:
	cd $(top_srcdir)\lib
	if exist $(NAME) del $(NAME)
	$(JAR) $(JARFLAGS) $(NAME) com\ooc

install:: jar
	copy $(top_srcdir)\lib\$(NAME) $(libdir)

clean::
	-rmdir /s /q $(top_srcdir)\lib
