// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

/**
 * a simple logging interface. Primarily used in our GUI consoles for
 * storing more detailed error messages.
 *
 * This class was originally extracted from com.ooc.CosNamingConsole.Util
 *
 * @see com.ooc.Util.MessageArea
 */
package com.ooc.Util;

public interface MessageLogger
{
    void print(String msg);

    void println(String msg);

    void printException(Exception ex);

    void printException(Exception ex, java.lang.Object obj);
}
