// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************
 
package com.ooc.CosEvent;

//
// Base class for Consumer and Supplier Admins
//
public interface AdminBase
{
    //
    // Disconnect the servant from the ORB
    //
    void deactivateObject();

    //
    // Called from the event channel upon destruction.
    //
    void disconnect();

    //
    // Stop accepting new requests.
    //
    void discardRequests();
}
