// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

package com.ooc.CosNaming;

//
// This class contains the naming service options
//
public class NamingServiceOptions
{
    //
    // The naming service trace level
    //
    int traceLevel = 0;

    //
    // Disable automatic updates?
    //
    boolean noUpdates = false;

    //
    // Timeout in seconds used for the ORBacus timeout policy
    //
    int callbackTimeout = 5;

    //
    // Database file name used by a persistent server
    //
    String databaseName = null;

    //
    // Does the database already exist?
    //
    boolean databaseExists = true;

    //
    // Timeout in minutes in which a persistent server compacts
    // its database
    //
    int databaseTimeout = 5;

    //
    // Maximum number of bindings returned by list()
    //
    int maxBindings = Integer.MAX_VALUE;
}
