// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

package benchmark;

import benchmark.Benchmark.*;

public class UserTypeTester_impl extends UserTypeTesterPOA
{
    private org.omg.CORBA.ORB orb_;
    private org.omg.PortableServer.POA poa_;

    public
    UserTypeTester_impl(
	org.omg.CORBA.ORB orb,
	org.omg.PortableServer.POA poa
    )
    {
        orb_ = orb;
	poa_ = poa;
    }

    public org.omg.PortableServer.POA
    _default_POA()
    {
	return poa_;
    }

    //
    // IDL:Benchmark/UserTypeTester/u1_in_t:1.0
    //
    public void
    u1_in_t(benchmark.UserTypes.u1 u)
    {
    }

    //
    // IDL:Benchmark/UserTypeTester/u1_out_t:1.0
    //
    public void
    u1_out_t(benchmark.UserTypes.u1Holder u)
    {
        u.value = new benchmark.UserTypes.u1();
        short s = 9;
        u.value.s(s);
    }

    //
    // IDL:Benchmark/UserTypeTester/u1_inout_t:1.0
    //
    public void
    u1_inout_t(benchmark.UserTypes.u1Holder u)
    {
        u.value.l(10);
    }

    //
    // IDL:Benchmark/UserTypeTester/u1_ret_t:1.0
    //
    public benchmark.UserTypes.u1
    u1_ret_t()
    {
        benchmark.UserTypes.u1 u = new benchmark.UserTypes.u1();
	u.c('q');
	return u;
    }

    //
    // IDL:Benchmark/UserTypeTester/u2_in_t:1.0
    //
    public void
    u2_in_t(benchmark.UserTypes.u2 u)
    {
    }

    //
    // IDL:Benchmark/UserTypeTester/u2_out_t:1.0
    //
    public void
    u2_out_t(benchmark.UserTypes.u2Holder u)
    {
        u.value = new benchmark.UserTypes.u2();
        u.value.ll(523L);
    }

    //
    // IDL:Benchmark/UserTypeTester/u2_inout_t:1.0
    //
    public void
    u2_inout_t(benchmark.UserTypes.u2Holder u)
    {
        byte b = 7;
        u.value.o(b);
    }

    //
    // IDL:Benchmark/UserTypeTester/u2_ret_t:1.0
    //
    public benchmark.UserTypes.u2
    u2_ret_t()
    {
        benchmark.UserTypes.u2 u = new benchmark.UserTypes.u2();
	byte b = 3;
	u.o(b);
	return u;
    }

    //
    // IDL:Benchmark/UserTypeTester/s1_in_t:1.0
    //
    public void
    s1_in_t(benchmark.UserTypes.s1 s)
    {
    }

    //
    // IDL:Benchmark/UserTypeTester/s1_out_t:1.0
    //
    public void
    s1_out_t(benchmark.UserTypes.s1Holder s)
    {
        s.value = new benchmark.UserTypes.s1();
        short ss = 19;
        s.value.s = ss;
    }

    //
    // IDL:Benchmark/UserTypeTester/s1_inout_t:1.0
    //
    public void
    s1_inout_t(benchmark.UserTypes.s1Holder s)
    {
        short ss = 77;
        s.value.s = ss;
    }

    //
    // IDL:Benchmark/UserTypeTester/s1_ret_t:1.0
    //
    public benchmark.UserTypes.s1
    s1_ret_t()
    {
        benchmark.UserTypes.s1 s = new benchmark.UserTypes.s1();
        s.s = 4;
	return s;
    }

    //
    // IDL:Benchmark/UserTypeTester/s2_in_t:1.0
    //
    public void
    s2_in_t(benchmark.UserTypes.s2 s)
    {
    }

    //
    // IDL:Benchmark/UserTypeTester/s2_out_t:1.0
    //
    public void
    s2_out_t(benchmark.UserTypes.s2Holder s)
    {
        s.value = new benchmark.UserTypes.s2();
	s.value.s = 4;
	s.value.l = 234235;
	s.value.ll = 2304020023040L;
	s.value.us = 443;
	s.value.ul = 8;
	s.value.f = 4434.87F;
	s.value.d = 187.7;
	s.value.c = 'h';
	s.value.wc = '(';
	s.value.st = "Hi, Mom!";
	s.value.ws = "Dad too!";
	s.value.b = false;
	s.value.o = 7;
	s.value.a = orb_.create_any();
	s.value.a.insert_string("I'm going in an any...");
    }

    //
    // IDL:Benchmark/UserTypeTester/s2_inout_t:1.0
    //
    public void
    s2_inout_t(benchmark.UserTypes.s2Holder s)
    {
	s.value.s = 234;
	s.value.l = 723456235;
	s.value.ll = 2303454020023040L;
	s.value.us = 4334;
	s.value.ul = 338;
	s.value.f = 45434.857F;
	s.value.d = 1857.37;
	s.value.c = 'q';
	s.value.wc = 'b';
	s.value.st = "Lemond";
	s.value.ws = "Steve Rex Cycles";
	s.value.b = false;
	s.value.o = 7;
	s.value.a.insert_string("Erin go bragh!");
    }

    //
    // IDL:Benchmark/UserTypeTester/s2_ret_t:1.0
    //
    public benchmark.UserTypes.s2
    s2_ret_t()
    {
        benchmark.UserTypes.s2 s = new benchmark.UserTypes.s2();
	s.s = 4;
	s.l = 234235;
	s.ll = 2304020023040L;
	s.us = 443;
	s.ul = 8;
	s.f = 4434.87F;
	s.d = 187.7;
	s.c = 'h';
	s.wc = '(';
	s.st = "Hi, Mom!";
	s.ws = "Dad too!";
	s.b = false;
	s.o = 7;
	s.a = orb_.create_any();
	s.a.insert_string("I'm going in an any...");
	return s;
    }

    //
    // IDL:Benchmark/UserTypeTester/interface_in_t:1.0
    //
    public void
    interface_in_t(benchmark.UserTypes.I interf)
    {
    }

    //
    // IDL:Benchmark/UserTypeTester/interface_out_t:1.0
    //
    public void
    interface_out_t(benchmark.UserTypes.IHolder interf)
    {
        interf.value = null;
    }

    //
    // IDL:Benchmark/UserTypeTester/interface_inout_t:1.0
    //
    public void
    interface_inout_t(benchmark.UserTypes.IHolder interf)
    {
        interf.value = null;
    }

    //
    // IDL:Benchmark/UserTypeTester/interface_ret_t:1.0
    //
    public benchmark.UserTypes.I
    interface_ret_t()
    {
        benchmark.UserTypes.I interf = null;
	return interf;
    }
}
