// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

package custom;

public class Customer_impl extends Customer
{
    public
    Customer_impl()
    {
    }

    public byte[]
    encrypt(String str)
    {
        int len = str.length();
        byte[] seq = new byte[len];

        for(int i = 0 ; i < len ; i++)
        {
            //
            // Surely you can do better than this!
            //
            seq[i] = (byte)(str.charAt(i) ^ 42);
        }

        return seq;
    }

    public String
    decrypt(byte[] seq)
    {
        int len = seq.length;
        StringBuffer str = new StringBuffer(len);

        for(int i = 0 ; i < len ; i++)
        {
            //
            // Surely you can do better than this!
            //
            str.append((char)(seq[i] ^ 42));
        }

        return str.toString();
    }

    public void
    marshal(org.omg.CORBA.DataOutputStream os)
    {
        byte[] seq;

        seq = encrypt(name);
        os.write_ulong(seq.length);
        os.write_octet_array(seq, 0, seq.length);

        seq = encrypt(credit_card);
        os.write_ulong(seq.length);
        os.write_octet_array(seq, 0, seq.length);

        seq = encrypt(expires);
        os.write_ulong(seq.length);
        os.write_octet_array(seq, 0, seq.length);
    }

    public void
    unmarshal(org.omg.CORBA.DataInputStream is)
    {
        org.omg.CORBA.OctetSeqHolder seq = new org.omg.CORBA.OctetSeqHolder();
        int len;

        len = is.read_ulong();
        seq.value = new byte[len];
        is.read_octet_array(seq, 0, len);
        name = decrypt(seq.value);

        len = is.read_ulong();
        seq.value = new byte[len];
        is.read_octet_array(seq, 0, len);
        credit_card = decrypt(seq.value);

        len = is.read_ulong();
        seq.value = new byte[len];
        is.read_octet_array(seq, 0, len);
        expires = decrypt(seq.value);
    }
}
