# **********************************************************************
#
# Copyright (c) 2002
# IONA Technologies, Inc.
# Waltham, MA, USA
#
# All Rights Reserved
#
# **********************************************************************

top_srcdir	= ..\..

!include $(top_srcdir)\..\config\Make.rules.mak

all:: auto tests

auto:: $(top_srcdir)\lib generated
	$(JIDL) $(JIDLFLAGS) -I. --tie --output-dir generated \
	TestIntf.idl TestIntfBasic.idl TestIntfContext.idl \
	TestIntfExceptions.idl TestIntfExceptionsExt_2_0.idl \
	TestIntfWChar.idl TestIntfFixed.idl TestIntfLongLong.idl \
	TestIntfExceptionsExt_2_3.idl TestIntfStubTimeout.idl
	set CLASSPATH=.;generated;$(top_srcdir)\lib;$(CLASSPATH)
	$(JAVAC) $(JAVACFLAGS) -d $(top_srcdir)\lib \
	generated\ORBTest\*.java \
	generated\ORBTest_Basic\*.java \
	generated\ORBTest_Context\*.java \
	generated\ORBTest_WChar\*.java \
	generated\ORBTest_Fixed\*.java \
	generated\ORBTest_LongLong\*.java

tests:: $(top_srcdir)\lib
	set CLASSPATH=.;generated;$(top_srcdir)\lib;$(CLASSPATH)
	$(JAVAC) $(JAVACFLAGS) -d $(top_srcdir)\lib \
	*.java

clean::
	-rmdir /s /q $(top_srcdir)\lib\test\main
