// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

package nested;

public class Peer_impl extends PeerPOA
{
    //
    // The servants default POA
    //
    private org.omg.PortableServer.POA poa_;

    Peer_impl(org.omg.PortableServer.POA poa)
    {
	poa_ = poa;
    }

    public org.omg.PortableServer.POA
    _default_POA()
    {
	return poa_;
    }

    public void
    decrement(org.omg.CORBA.IntHolder value, Peer peer)
    {
        System.out.println(value.value);
        value.value--;

	//
	// Delay
	//
	try
	{
	    Thread.sleep(100);
	}
	catch (java.lang.InterruptedException ex)
	{
	    // Ignore
	}

        if(value.value > 0)
        {
            Peer self = _this();

            try
            {
                peer.decrement(value, self);
            }
            catch(org.omg.CORBA.SystemException ex)
            {
                System.err.println("Got exception while calling " +
                                   "`peer.decrement()':");
                System.err.println(ex.getMessage());
            }
        }
    }
}
